#!/usr/bin/env node
'use strict';

require('colors');
require('shelljs/global');

const path = require('path');
const argv = require('minimist')(process.argv.slice(2));

const basename = argv._[0] || '';
const cwd = process.cwd();
const destDir = path.join(cwd, basename);
const thisDir = path.dirname(__filename)
const srcDir = path.join(thisDir, 'assets');

const help = `
Usage:
  metalwork [dir]
  -h, --help            Display this information

Scaffold out a basic Metalwork site into new directory.;

$ metalwork new-site`;

const noPathProvided = help

const gettingStarted = `
Getting started:
  $ cd ${basename}
  $ npm start`.green;

function build () {
  mkdir('-p', destDir);
  cd(srcDir)
  cp('-r', '.', destDir);
  echo(`Building new Metalwork site in ${destDir}.`.green);
  cd(destDir);
  echo('Installing Node modules...'.green);
  exec('npm install');
  echo('Installing Bower dependencies...'.green);
  exec('bower install')
  echo('Done.'.bold.green);
  cd(cwd);
  echo(gettingStarted);
}

if (argv.h || argv.help) {
  echo(help);
} else if (!basename) {
  echo(noPathProvided);
} else {
  build();
}

